//========================================================================================
//
//	File:				Frame.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FRAME_H
#define FRAME_H

// ----- Framework Includes -----

#ifndef FWFRAME_H
#include "FWFrame.h"
#endif

#ifndef FWDRGDRP_H
#include "FWDrgDrp.h"
#endif

// ----- Foundation Layer -----

#ifndef FWRECEVR_H
#include "FWRecevr.h"
#endif

//========================================================================================
// Forward Declarations
//========================================================================================

class CIntlTestPart;
class CIntlTestView;
class CIntlTestSelection;
class FW_CEditView;
class FW_CViewTabber;

//========================================================================================
// CIntlTestFrame
//========================================================================================

class CIntlTestFrame : public FW_CFrame, public FW_MDroppableFrame, public FW_MReceiver
{
  public:
	FW_DECLARE_AUTO(CIntlTestFrame)

	CIntlTestFrame(	Environment* ev, 
					ODFrame* odFrame, 
					FW_CPresentation* presentation, 
					CIntlTestPart* part);

	virtual ~CIntlTestFrame();
	
//----------------------------------------------------------------------------------------
//	Inherited API
//
	virtual ODDragResult	CanAcceptDrop(Environment* ev, ODDragItemIterator* dragInfo);

	virtual void			CreateSubViews(Environment* ev);

	virtual void			Draw(Environment *ev, 
								 ODFacet* odFacet, 
								 ODShape* invalidShape);

	virtual void			FacetAdded(Environment* ev, ODFacet* facet, unsigned short facetCount);

	virtual FW_CDropCommand* NewDropCommand(Environment *ev,
											FW_CFrame* frame,
											ODDragItemIterator* dropInfo, 
											ODFacet* odFacet, 
											const FW_CPoint& dropPoint);

	virtual FW_CClipboardCommand* NewClipboardCommand(Environment* ev, ODCommandID commandID);

	// ----- FW_MReceiver overrides ----- 
	virtual void 		HandleNotification(Environment* ev, const FW_CNotification& notification);

//----------------------------------------------------------------------------------------
//	New Stuff
//
	FW_CEditView*		FindEditView(Environment* ev, ODID id);
	ODID				GetActiveEditViewId(Environment* ev);
	CIntlTestPart*		GetIntlTestPart();

	void				GetContentRect(Environment* ev, FW_CRect& rect, FW_CPoint& extent);
	FW_CEditView*		HitTest(Environment* ev, const FW_CPoint& where);

//----------------------------------------------------------------------------------------
//	Data Members
//
  private:
	CIntlTestPart* 		fTestPart;
	CIntlTestView*		fTestView;
	CIntlTestSelection*	fTestSelection;
	FW_CViewTabber*		fViewTabber;
};

//========================================================================================
inline CIntlTestPart* CIntlTestFrame::GetIntlTestPart()
{
	return fTestPart;
}

#endif
