//========================================================================================
//
//	File:				Part.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef PART_H
#define PART_H

#ifndef DEFINES_K
#include "Defines.k"
#endif

// ----- Framework Includes -----

#ifndef FWPART_H
#include "FWPart.h"
#endif

// ----- OS Layer -----

#ifndef FWRESFIL_H
#include "FWResFil.h"
#endif

// ----- Foundation Layer -----

#ifndef FWSTDDEF_H
#include "FWStdDef.h"
#endif

#ifndef FWBNDSTR_H
#include "FWBndStr.h"
#endif


//========================================================================================
// Forward Declarations
// Any references to imported classes (FW_) have to be wrapped in import on/off
// because SCpp won't import their methods otherwise. This is a temporary bug fix.
//========================================================================================

class CIntlTestContent;
class CIntlTestFrame;
class CEditView;
class CIntlTestSelection;

//========================================================================================
// CIntlTestPart
//========================================================================================

class CIntlTestPart : public FW_CPart
{
  public:
	FW_DECLARE_AUTO(CIntlTestPart)
	
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
  public:
	CIntlTestPart(ODPart* odPart);
	virtual ~CIntlTestPart();

	virtual void Initialize(Environment* ev);

//----------------------------------------------------------------------------------------
//	Inherited API
//
  public:
	virtual FW_CContent* NewPartContent(Environment* ev);

	virtual FW_CFrame*	NewFrame(Environment* ev,
								 ODFrame* odFrame,
								 FW_CPresentation* presentation,
								 FW_Boolean fromStorage);

	virtual FW_Boolean	DoAdjustMenus(Environment* ev,
									  FW_CMenuBar* menuBar, 
									  FW_Boolean hasMenuFocus,
									  FW_Boolean isRoot);

	virtual FW_Boolean	DoMenu(Environment* ev, const FW_CMenuEvent& theMenuEvent);

//----------------------------------------------------------------------------------------
//	New API
//
  public:
	void				PartChanged(Environment* ev);
		// Call this after changing part data, to notify the proper authorities

	CIntlTestContent*	GetPartContent();
	CIntlTestSelection*	GetTestSelection();
	ODID				WhichEditViewIsActive(Environment* ev);

	void				UpdateTextData(Environment* ev);
	void				UpdateViewsFromTextData(Environment* ev);

//----------------------------------------------------------------------------------------
//	Data Members
//
  private:
	CIntlTestContent*	fPartContent;
	CIntlTestSelection*	fTestSelection;
	FW_CPresentation*	fPresentation;
	CIntlTestFrame*		fTestFrame;
};

//----------------------------------------------------------------------------------------
inline CIntlTestContent* CIntlTestPart::GetPartContent()
{
	return fPartContent;
}

//----------------------------------------------------------------------------------------
inline CIntlTestSelection* CIntlTestPart::GetTestSelection()
{
	return fTestSelection;
}


#endif
