//========================================================================================
//
//	File:				PartInfo.fr
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef FWPART_FR
#include "FWPart.fr"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

#ifndef SLGCONST_K
#include "SLGConst.k" 
#endif

#ifndef FWVIEWS_FR
#include "FWViews.fr"
#endif

//----------------------------------------------------------------------------------------
//	PartInfo Resource
//----------------------------------------------------------------------------------------

resource FW_RPartInfo(kPartInfoID)
{
	// ----- Icon ID
	kPartIconID,
	
	// ----- Part Name
	kODFIntlTestEditorUserString,
	
	// ----- PartKind
	kODFIntlTestKind
};

//----------------------------------------------------------------------------------------
//	About Resource
//----------------------------------------------------------------------------------------

// Defines copied from Script.h
#define smJapanese 1
#define langJapanese 11

// In order to change the constants in FW_RStringData, we have to subclass it like this:
type RJapStringData : FW_RStringData (ScriptCode = smJapanese, LanguageCode = langJapanese)
{
};

resource FW_RAbout(kAboutBox)
{
	// ----- Icon ID
	kPartIconID,
	// ----- Part Name
	FW_RStyledText
	(
		FW_FIX(18), 
		FW_kBold, 
		"times", 
		"ODFIntlText"
	),
	// ----- Version Number
	FW_RStyledText
	(
		FW_FIX(9),
		FW_kPlain,
		"geneva",
		"Version ODF1"
	),
	// ----- Credits
	FW_RStyledText
	(
		FW_FIX(14),
		FW_kPlain,
		"osaka",
		RJapStringData
		(
			"hs͎łB\r\r\r"
			"v@\r"
			"@nce@D\r"
		)
	)
};

//----------------------------------------------------------------------------
// Strings for testing FW_RStringData resource

type RJapString (TESTSTRINGRES)
{
	RJapStringData;
};

resource RJapString (kDefaultJapStringID)
{
	"łB"
};

type REngString (TESTSTRINGRES)
{
	FW_RStringData;
};

resource REngString (kDefaultTextStringID)
{
	"This is a test."
};

resource REngString (kDefaultEngStringID)
{
	"Testing"
};
