//========================================================================================
//
//	File:				Select.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef SELECT_H
#define SELECT_H

// ----- Framework Includes -----

#ifndef FWSELECT_H
#include "FWSelect.h"
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

class CIntlTestPart;
class CIntlTestSelectedContent;
class FW_CString;
class FW_CEditView;

//========================================================================================
//	class CIntlTestSelection
//========================================================================================

class CIntlTestSelection : public FW_CSelection
{
  public:
	FW_DECLARE_AUTO(CIntlTestSelection)

	CIntlTestSelection(Environment* ev, CIntlTestPart* testPart);
	virtual ~CIntlTestSelection();
	
  public:
	virtual void			CloseSelection(Environment* ev);
	virtual void			ClearSelection(Environment* ev);
	virtual FW_Boolean		IsEmpty(Environment* ev) const;
	virtual void			SelectAll(Environment* ev);

	virtual FW_CContent*	GetSelectedContent(Environment* ev);

	CIntlTestSelectedContent* GetSelectedTestContent();

	void SetContentEditView(FW_CEditView* editView);

  private:
	CIntlTestPart*				fTestPart;
	CIntlTestSelectedContent*	fSelectedContent;
};

//----------------------------------------------------------------------------------------
inline CIntlTestSelectedContent* CIntlTestSelection::GetSelectedTestContent()
{
	return fSelectedContent;
}

#endif
